Bug 894223 - [abrt] libreoffice-core-3.5.7.2-7.fc17: DocxAttributeOutput::EndParagraph killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.7.2-7.fc17: DocxAttributeOutput::EndParagraph kil...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:a14eeac1be55e25b4a73ddff167...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-11 00:12 EST by steve
Modified: 2013-02-01 23:37 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.5.7.2-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 23:37:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (4.75 KB, text/plain)
2013-01-11 00:12 EST, steve
no flags Details
File: environ (1.89 KB, text/plain)
2013-01-11 00:12 EST, steve
no flags Details
File: backtrace (109.60 KB, text/plain)
2013-01-11 00:12 EST, steve
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-11 00:12 EST, steve
no flags Details
File: cgroup (128 bytes, text/plain)
2013-01-11 00:12 EST, steve
no flags Details
File: smolt_data (2.69 KB, text/plain)
2013-01-11 00:12 EST, steve
no flags Details
File: executable (40 bytes, text/plain)
2013-01-11 00:12 EST, steve
no flags Details
File: maps (62.97 KB, text/plain)
2013-01-11 00:12 EST, steve
no flags Details
File: dso_list (22.20 KB, text/plain)
2013-01-11 00:12 EST, steve
no flags Details
File: proc_pid_status (788 bytes, text/plain)
2013-01-11 00:12 EST, steve
no flags Details
File: open_fds (336 bytes, text/plain)
2013-01-11 00:12 EST, steve
no flags Details
File: var_log_messages (658 bytes, text/plain)
2013-01-11 00:12 EST, steve
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 48569 None None None Never

  None (edit)
Description steve 2013-01-11 00:12:04 EST
Description of problem:
First time it crashed:  created a business card, then did save as in .docx format.

Second time it crashed:  recreated the business card, did save (default format) successfully, then did save as .docx format.


Version-Release number of selected component:
libreoffice-core-3.5.7.2-7.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer --splash-pipe=6
crash_function: GetCntnt
kernel:         3.6.11-1.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 GetCntnt at /usr/src/debug/libreoffice-3.5.7.2/sw/inc/fmtcntnt.hxx:60
: #2 DocxAttributeOutput::EndParagraph at /usr/src/debug/libreoffice-3.5.7.2/sw/source/filter/ww8/docxattributeoutput.cxx:314
: #3 MSWordExportBase::OutputTextNode at /usr/src/debug/libreoffice-3.5.7.2/sw/source/filter/ww8/wrtw8nds.cxx:2350
: #4 MSWordExportBase::OutputContentNode at /usr/src/debug/libreoffice-3.5.7.2/sw/source/filter/ww8/wrtw8nds.cxx:2750
: #5 MSWordExportBase::WriteText at /usr/src/debug/libreoffice-3.5.7.2/sw/source/filter/ww8/wrtww8.cxx:2393
: #6 DocxExport::WriteMainText at /usr/src/debug/libreoffice-3.5.7.2/sw/source/filter/ww8/docxexport.cxx:722
: #7 DocxExport::ExportDocument_Impl at /usr/src/debug/libreoffice-3.5.7.2/sw/source/filter/ww8/docxexport.cxx:341
: #8 MSWordExportBase::ExportDocument at /usr/src/debug/libreoffice-3.5.7.2/sw/source/filter/ww8/wrtww8.cxx:2877
: #9 DocxExportFilter::exportDocument at /usr/src/debug/libreoffice-3.5.7.2/sw/source/filter/ww8/docxexportfilter.cxx:79
: #10 oox::core::FilterBase::filter at /usr/src/debug/libreoffice-3.5.7.2/oox/source/core/filterbase.cxx:538
Comment 1 steve 2013-01-11 00:12:07 EST
Created attachment 676649 [details]
File: core_backtrace
Comment 2 steve 2013-01-11 00:12:09 EST
Created attachment 676650 [details]
File: environ
Comment 3 steve 2013-01-11 00:12:14 EST
Created attachment 676651 [details]
File: backtrace
Comment 4 steve 2013-01-11 00:12:16 EST
Created attachment 676652 [details]
File: limits
Comment 5 steve 2013-01-11 00:12:17 EST
Created attachment 676653 [details]
File: cgroup
Comment 6 steve 2013-01-11 00:12:19 EST
Created attachment 676654 [details]
File: smolt_data
Comment 7 steve 2013-01-11 00:12:21 EST
Created attachment 676655 [details]
File: executable
Comment 8 steve 2013-01-11 00:12:25 EST
Created attachment 676656 [details]
File: maps
Comment 9 steve 2013-01-11 00:12:27 EST
Created attachment 676657 [details]
File: dso_list
Comment 10 steve 2013-01-11 00:12:29 EST
Created attachment 676658 [details]
File: proc_pid_status
Comment 11 steve 2013-01-11 00:12:31 EST
Created attachment 676659 [details]
File: open_fds
Comment 12 steve 2013-01-11 00:12:32 EST
Created attachment 676660 [details]
File: var_log_messages
Comment 13 Caolan McNamara 2013-01-11 07:02:46 EST
In order for us to be able to easily reproduce this, can you see if you...

create the business card, save as .odt, then load the .odt and save as .docx if it also crashes. If it does can you then attach the .odt here and we'll easily be able to reproduce this.
Comment 14 Caolan McNamara 2013-01-18 10:23:46 EST
can reproduce now
Comment 15 Fedora Update System 2013-01-21 05:34:01 EST
libreoffice-3.5.7.2-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.7.2-8.fc17
Comment 16 Fedora Update System 2013-01-22 21:04:21 EST
Package libreoffice-3.5.7.2-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.7.2-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1280/libreoffice-3.5.7.2-8.fc17
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-01-23 01:39:25 EST
libreoffice-3.5.7.2-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.7.2-9.fc17
Comment 18 Fedora Update System 2013-02-01 23:37:35 EST
libreoffice-3.5.7.2-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.